# v1.23.0 (Thu Jun 12 2025)

#### 🐛 Bug Fix

- fix: update invalid color to #e52424 across styles [#903](https://github.com/gr4vy/secure-fields/pull/903) ([@brunodesde1987](https://github.com/brunodesde1987))
- task: fix "frames must have accessible names" [#895](https://github.com/gr4vy/secure-fields/pull/895) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- task: fix html element must have a lang attribute [#896](https://github.com/gr4vy/secure-fields/pull/896) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- task: set up accessibility tooling [#886](https://github.com/gr4vy/secure-fields/pull/886) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- fix: fields events docs example [#873](https://github.com/gr4vy/secure-fields/pull/873) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### 🏠 Internal

- chore(dev-deps): update dependency typedoc to ^0.28.5 [#893](https://github.com/gr4vy/secure-fields/pull/893) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typedoc to ^0.28.4 [#880](https://github.com/gr4vy/secure-fields/pull/880) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typedoc to ^0.28.3 [#868](https://github.com/gr4vy/secure-fields/pull/868) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency dotenv to ^16.5.0 [#864](https://github.com/gr4vy/secure-fields/pull/864) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typedoc to ^0.28.2 [#863](https://github.com/gr4vy/secure-fields/pull/863) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typedoc to ^0.28.1 [#855](https://github.com/gr4vy/secure-fields/pull/855) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typedoc to ^0.28.0 [#846](https://github.com/gr4vy/secure-fields/pull/846) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typescript-transform-paths to ^3.5.5 [#844](https://github.com/gr4vy/secure-fields/pull/844) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typedoc to ^0.27.9 [#832](https://github.com/gr4vy/secure-fields/pull/832) ([@renovate[bot]](https://github.com/renovate[bot]))

#### Authors: 3

- [@renovate[bot]](https://github.com/renovate[bot])
- Bruno Carvalho ([@brunodesde1987](https://github.com/brunodesde1987))
- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v1.22.1 (Wed Jan 08 2025)

#### 🐛 Bug Fix

- task: clear email and phone number on Click to Pay sign-out [#815](https://github.com/gr4vy/secure-fields/pull/815) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### Authors: 1

- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v1.22.0 (Wed Jan 08 2025)

#### 🏠 Internal

- chore(dev-deps): update dependency typescript-transform-paths to ^3.5.3 [#812](https://github.com/gr4vy/secure-fields/pull/812) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typedoc to ^0.27.6 [#811](https://github.com/gr4vy/secure-fields/pull/811) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typedoc to ^0.27.5 [#807](https://github.com/gr4vy/secure-fields/pull/807) ([@renovate[bot]](https://github.com/renovate[bot]))

#### Authors: 1

- [@renovate[bot]](https://github.com/renovate[bot])

---

# v1.21.2 (Tue Dec 10 2024)

#### 🐛 Bug Fix

- fix: session not cleared on new SF instantiation [#795](https://github.com/gr4vy/secure-fields/pull/795) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### 🏠 Internal

- chore(dev-deps): update dependency typedoc to ^0.27.4 [#798](https://github.com/gr4vy/secure-fields/pull/798) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency dotenv to ^16.4.7 [#797](https://github.com/gr4vy/secure-fields/pull/797) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typedoc to ^0.27.2 [#794](https://github.com/gr4vy/secure-fields/pull/794) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typescript-transform-paths to ^3.5.2 [#779](https://github.com/gr4vy/secure-fields/pull/779) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typedoc to ^0.26.11 [#778](https://github.com/gr4vy/secure-fields/pull/778) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency msw to ^1.3.5 [#777](https://github.com/gr4vy/secure-fields/pull/777) ([@renovate[bot]](https://github.com/renovate[bot]))

#### Authors: 2

- [@renovate[bot]](https://github.com/renovate[bot])
- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v1.21.1 (Thu Nov 07 2024)

#### 🐛 Bug Fix

- chore: add missing `dynamicDataType` type [#774](https://github.com/gr4vy/secure-fields/pull/774) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### Authors: 1

- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v1.21.0 (Thu Nov 07 2024)

#### 🚀 Enhancement

- task: request FPAN token [#770](https://github.com/gr4vy/secure-fields/pull/770) ([@luca-gr4vy](https://github.com/luca-gr4vy) [@kim4tGr4vy](https://github.com/kim4tGr4vy))

#### Authors: 2

- Kim ([@kim4tGr4vy](https://github.com/kim4tGr4vy))
- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v1.20.0 (Wed Oct 23 2024)

#### 🚀 Enhancement

- task: hide card form on c2p checkout [#758](https://github.com/gr4vy/secure-fields/pull/758) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### Authors: 1

- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v1.19.5 (Tue Oct 22 2024)

#### 🏠 Internal

- chore(dev-deps): update dependency typedoc to ^0.26.9 [#751](https://github.com/gr4vy/secure-fields/pull/751) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typedoc to ^0.26.8 [#741](https://github.com/gr4vy/secure-fields/pull/741) ([@renovate[bot]](https://github.com/renovate[bot]))

#### Authors: 1

- [@renovate[bot]](https://github.com/renovate[bot])

---

# v1.19.3 (Tue Oct 01 2024)

#### 🐛 Bug Fix

- task: add scheme info to CARD_VAULT_SUCCESS event [#734](https://github.com/gr4vy/secure-fields/pull/734) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### 🏠 Internal

- chore(dev-deps): update dependency typescript-transform-paths to ^3.5.1 [#726](https://github.com/gr4vy/secure-fields/pull/726) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typedoc to ^0.26.7 [#722](https://github.com/gr4vy/secure-fields/pull/722) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency msw to ^1.3.4 [#721](https://github.com/gr4vy/secure-fields/pull/721) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typescript-transform-paths to ^3.5.0 [#708](https://github.com/gr4vy/secure-fields/pull/708) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typedoc to ^0.26.6 [#706](https://github.com/gr4vy/secure-fields/pull/706) ([@renovate[bot]](https://github.com/renovate[bot]))

#### Authors: 2

- [@renovate[bot]](https://github.com/renovate[bot])
- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v1.19.2 (Tue Aug 27 2024)

#### 🐛 Bug Fix

- fix: form-change completed flag [#712](https://github.com/gr4vy/secure-fields/pull/712) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### 🏠 Internal

- chore(dev-deps): update dependency typescript-transform-paths to ^3.4.10 [#704](https://github.com/gr4vy/secure-fields/pull/704) ([@renovate[bot]](https://github.com/renovate[bot]))

#### Authors: 2

- [@renovate[bot]](https://github.com/renovate[bot])
- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v1.19.1 (Wed Jul 24 2024)

#### 🐛 Bug Fix

- task: add bin to input event data [#693](https://github.com/gr4vy/secure-fields/pull/693) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### 🏠 Internal

- chore(dev-deps): update dependency typedoc to ^0.26.5 [#688](https://github.com/gr4vy/secure-fields/pull/688) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typedoc to ^0.26.4 [#684](https://github.com/gr4vy/secure-fields/pull/684) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typedoc to ^0.26.3 [#680](https://github.com/gr4vy/secure-fields/pull/680) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typedoc to ^0.26.2 [#676](https://github.com/gr4vy/secure-fields/pull/676) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typedoc-plugin-missing-exports to ^2.3.0 [#667](https://github.com/gr4vy/secure-fields/pull/667) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency css-loader to ^6.11.0 [#645](https://github.com/gr4vy/secure-fields/pull/645) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typedoc to ^0.25.13 [#637](https://github.com/gr4vy/secure-fields/pull/637) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency msw to ^1.3.3 [#624](https://github.com/gr4vy/secure-fields/pull/624) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typedoc to ^0.25.12 [#614](https://github.com/gr4vy/secure-fields/pull/614) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typedoc to ^0.25.10 [#610](https://github.com/gr4vy/secure-fields/pull/610) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typescript-transform-paths to ^3.4.7 [#604](https://github.com/gr4vy/secure-fields/pull/604) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency dotenv to ^16.4.5 [#603](https://github.com/gr4vy/secure-fields/pull/603) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency dotenv to ^16.4.4 [#595](https://github.com/gr4vy/secure-fields/pull/595) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typedoc to ^0.25.8 [#591](https://github.com/gr4vy/secure-fields/pull/591) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency dotenv to ^16.4.2 [#590](https://github.com/gr4vy/secure-fields/pull/590) ([@renovate[bot]](https://github.com/renovate[bot]))

#### Authors: 2

- [@renovate[bot]](https://github.com/renovate[bot])
- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v1.19.0 (Wed Feb 07 2024)

#### 🚀 Enhancement

- task: Click to Pay internal docs [#573](https://github.com/gr4vy/secure-fields/pull/573) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- task: click to pay cleanup [#585](https://github.com/gr4vy/secure-fields/pull/585) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- task: consent checkbox [#575](https://github.com/gr4vy/secure-fields/pull/575) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### 🐛 Bug Fix

- fix: sign-in displays on cancel [#586](https://github.com/gr4vy/secure-fields/pull/586) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- fix: field listeners removed on re init TA-6291 [#576](https://github.com/gr4vy/secure-fields/pull/576) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### 🏠 Internal

- chore(dev-deps): update dependency css-loader to ^6.10.0 [#581](https://github.com/gr4vy/secure-fields/pull/581) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency dotenv to ^16.4.1 [#582](https://github.com/gr4vy/secure-fields/pull/582) ([@renovate[bot]](https://github.com/renovate[bot]))

#### Authors: 2

- [@renovate[bot]](https://github.com/renovate[bot])
- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v1.18.0 (Tue Jan 30 2024)

#### 🚀 Enhancement

- task: add click to pay react component [#558](https://github.com/gr4vy/secure-fields/pull/558) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### 🐛 Bug Fix

- fix: duplicate events [#566](https://github.com/gr4vy/secure-fields/pull/566) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### Authors: 1

- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v1.17.0 (Wed Jan 24 2024)

#### 🚀 Enhancement

- task: extend public facing events [#559](https://github.com/gr4vy/secure-fields/pull/559) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### Authors: 1

- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v1.16.0 (Mon Jan 22 2024)

#### 🚀 Enhancement

- task: implement show hide logic [#557](https://github.com/gr4vy/secure-fields/pull/557) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- task: add Click to Pay sign-in method [#550](https://github.com/gr4vy/secure-fields/pull/550) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- task: return Click to Pay instance [#549](https://github.com/gr4vy/secure-fields/pull/549) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### 🐛 Bug Fix

- fix: onReady handler not firing [#565](https://github.com/gr4vy/secure-fields/pull/565) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### 🏠 Internal

- chore(dev-deps): update dependency dotenv to ^16.3.2 [#563](https://github.com/gr4vy/secure-fields/pull/563) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency css-loader to ^6.9.1 [#562](https://github.com/gr4vy/secure-fields/pull/562) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typedoc-plugin-missing-exports to ^2.2.0 [#556](https://github.com/gr4vy/secure-fields/pull/556) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency css-loader to ^6.9.0 [#555](https://github.com/gr4vy/secure-fields/pull/555) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency style-loader to ^3.3.4 [#554](https://github.com/gr4vy/secure-fields/pull/554) ([@renovate[bot]](https://github.com/renovate[bot]))

#### Authors: 2

- [@renovate[bot]](https://github.com/renovate[bot])
- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v1.15.3 (Thu Jan 11 2024)

#### 🐛 Bug Fix

- fix: auto-fill amex cuts off security code / allowed digits when paymentMethodId is set [#547](https://github.com/gr4vy/secure-fields/pull/547) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### 🏠 Internal

- chore(dev-deps): update dependency typedoc to ^0.25.7 [#546](https://github.com/gr4vy/secure-fields/pull/546) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency csstype to ^3.1.3 [#530](https://github.com/gr4vy/secure-fields/pull/530) ([@renovate[bot]](https://github.com/renovate[bot]))

#### Authors: 2

- [@renovate[bot]](https://github.com/renovate[bot])
- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v1.15.1 (Thu Dec 07 2023)

#### 🐛 Bug Fix

- fix: duplicate console logs [#519](https://github.com/gr4vy/secure-fields/pull/519) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- chore(readme): Add link to changelog [#516](https://github.com/gr4vy/secure-fields/pull/516) ([@cbetta](https://github.com/cbetta))

#### 🏠 Internal

- chore: serve scripts [#508](https://github.com/gr4vy/secure-fields/pull/508) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- chore(dev-deps): update dependency typedoc to ^0.25.4 [#521](https://github.com/gr4vy/secure-fields/pull/521) ([@renovate[bot]](https://github.com/renovate[bot]))

#### Authors: 3

- [@renovate[bot]](https://github.com/renovate[bot])
- Cristiano Betta ([@cbetta](https://github.com/cbetta))
- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v1.14.0 (Thu Nov 09 2023)

#### 🚀 Enhancement

- feat: stored payment method [#499](https://github.com/gr4vy/secure-fields/pull/499) ([@luca-gr4vy](https://github.com/luca-gr4vy) [@cbetta](https://github.com/cbetta))

#### 🐛 Bug Fix

- feat(click-to-pay): trigger change when the method has actually changed [#494](https://github.com/gr4vy/secure-fields/pull/494) ([@douglaseggleton](https://github.com/douglaseggleton))
- feat: optional src dpa id/name [#492](https://github.com/gr4vy/secure-fields/pull/492) ([@douglaseggleton](https://github.com/douglaseggleton))
- fix: C2P learn more [#485](https://github.com/gr4vy/secure-fields/pull/485) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- fix: skip C2P when checkbox is not selected [#480](https://github.com/gr4vy/secure-fields/pull/480) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- task: allow C2P to work with an email/phone number [#474](https://github.com/gr4vy/secure-fields/pull/474) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- task: enable C2P consent checkbox [#473](https://github.com/gr4vy/secure-fields/pull/473) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- fix: C2P learn more [#462](https://github.com/gr4vy/secure-fields/pull/462) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- fix: clear consent checkbox on an unknown error [TA-5154] [#456](https://github.com/gr4vy/secure-fields/pull/456) ([@thomas-gr4vy](https://github.com/thomas-gr4vy))

#### 🏠 Internal

- chore(dev-deps): update dependency typedoc to ^0.25.3 [#489](https://github.com/gr4vy/secure-fields/pull/489) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typedoc-plugin-missing-exports to ^2.1.0 [#469](https://github.com/gr4vy/secure-fields/pull/469) ([@renovate[bot]](https://github.com/renovate[bot]))
- chore(dev-deps): update dependency typedoc to ^0.25.2 [#460](https://github.com/gr4vy/secure-fields/pull/460) ([@renovate[bot]](https://github.com/renovate[bot]))

#### Authors: 5

- [@renovate[bot]](https://github.com/renovate[bot])
- Cristiano Betta ([@cbetta](https://github.com/cbetta))
- Douglas Eggleton ([@douglaseggleton](https://github.com/douglaseggleton))
- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))
- Thomas ([@thomas-gr4vy](https://github.com/thomas-gr4vy))

---

# v1.13.0 (Thu Oct 05 2023)

#### 🐛 Bug Fix

- feat: click to pay publish cancel event [#444](https://github.com/gr4vy/secure-fields/pull/444) ([@thomas-gr4vy](https://github.com/thomas-gr4vy) [@luca-gr4vy](https://github.com/luca-gr4vy))
- feat: click to pay error handling [TA-5287] [#432](https://github.com/gr4vy/secure-fields/pull/432) ([@thomas-gr4vy](https://github.com/thomas-gr4vy))
- chore(click-to-pay): remove debug [#438](https://github.com/gr4vy/secure-fields/pull/438) ([@douglaseggleton](https://github.com/douglaseggleton))
- fix(click-to-pay): fix event handling switch statement [#436](https://github.com/gr4vy/secure-fields/pull/436) ([@douglaseggleton](https://github.com/douglaseggleton))
- fix(click-to-pay): define process env in webpack production build [#433](https://github.com/gr4vy/secure-fields/pull/433) ([@douglaseggleton](https://github.com/douglaseggleton))
- feat(click-to-pay): add support for click to pay schemes [TA-5194] [#424](https://github.com/gr4vy/secure-fields/pull/424) ([@douglaseggleton](https://github.com/douglaseggleton))
- fix: reset submit and validation on method change [#429](https://github.com/gr4vy/secure-fields/pull/429) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- chore: update ui to include branding [#430](https://github.com/gr4vy/secure-fields/pull/430) ([@thomas-gr4vy](https://github.com/thomas-gr4vy))
- feat: show learn more component [TA-5330] [#426](https://github.com/gr4vy/secure-fields/pull/426) ([@thomas-gr4vy](https://github.com/thomas-gr4vy))
- feat: click to pay sign out [TA-5184] [#421](https://github.com/gr4vy/secure-fields/pull/421) ([@thomas-gr4vy](https://github.com/thomas-gr4vy))
- feat: hook up consent checkbox [TA-5183] [#420](https://github.com/gr4vy/secure-fields/pull/420) ([@thomas-gr4vy](https://github.com/thomas-gr4vy))
- feat: check out with card or click to pay [TA-5174] [#419](https://github.com/gr4vy/secure-fields/pull/419) ([@thomas-gr4vy](https://github.com/thomas-gr4vy))
- feat: submit already enrolled click to pay card to checkout session [TA-5177] [#418](https://github.com/gr4vy/secure-fields/pull/418) ([@thomas-gr4vy](https://github.com/thomas-gr4vy))
- feat: add consent checkbox option to addClickToPay [TA-5180] [#414](https://github.com/gr4vy/secure-fields/pull/414) ([@thomas-gr4vy](https://github.com/thomas-gr4vy))

#### 🏠 Internal

- chore(dev-deps): update dependency typedoc to ^0.25.1 [#453](https://github.com/gr4vy/secure-fields/pull/453) ([@renovate[bot]](https://github.com/renovate[bot]))

#### Authors: 4

- [@renovate[bot]](https://github.com/renovate[bot])
- Douglas Eggleton ([@douglaseggleton](https://github.com/douglaseggleton))
- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))
- Thomas ([@thomas-gr4vy](https://github.com/thomas-gr4vy))

---

# v1.12.1 (Tue Aug 29 2023)

#### 🐛 Bug Fix

- feat(click-to-pay): show placeholder flows [#411](https://github.com/gr4vy/secure-fields/pull/411) ([@douglaseggleton](https://github.com/douglaseggleton))
- feat(click-to-pay): add click to pay method [#410](https://github.com/gr4vy/secure-fields/pull/410) ([@douglaseggleton](https://github.com/douglaseggleton))

#### Authors: 1

- Douglas Eggleton ([@douglaseggleton](https://github.com/douglaseggleton))

---

# v1.12.0 (Thu Aug 03 2023)

#### 🐛 Bug Fix

- fix: SecureFields.version returns undefined on CDN builds [#380](https://github.com/gr4vy/secure-fields/pull/380) ([@theturboboy](https://github.com/theturboboy))

#### 🏠 Internal

- chore(dev-deps): update dependency typedoc-plugin-missing-exports to ^2.0.1 [#397](https://github.com/gr4vy/secure-fields/pull/397) ([@renovate[bot]](https://github.com/renovate[bot]))

#### Authors: 2

- [@renovate[bot]](https://github.com/renovate[bot])
- Andrei Haidukevich ([@theturboboy](https://github.com/theturboboy))

---

# v1.11.2 (Thu Jul 06 2023)

#### 🐛 Bug Fix

- feat: add browserslist tool [#372](https://github.com/gr4vy/secure-fields/pull/372) ([@theturboboy](https://github.com/theturboboy) [@luca-gr4vy](https://github.com/luca-gr4vy))

#### Authors: 2

- Andrei Haidukevich ([@theturboboy](https://github.com/theturboboy))
- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v1.11.0 (Mon Jun 26 2023)

#### 🚀 Enhancement

- feat: add autofill field attribute and event property [#355](https://github.com/gr4vy/secure-fields/pull/355) ([@theturboboy](https://github.com/theturboboy) [@luca-gr4vy](https://github.com/luca-gr4vy))

#### 🏠 Internal

- chore(dev-deps): update dependency dotenv to ^16.3.1 [#362](https://github.com/gr4vy/secure-fields/pull/362) ([@renovate[bot]](https://github.com/renovate[bot]))

#### Authors: 3

- [@renovate[bot]](https://github.com/renovate[bot])
- Andrei Haidukevich ([@theturboboy](https://github.com/theturboboy))
- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v1.10.1 (Thu Jun 15 2023)

#### 🐛 Bug Fix

- feat: pass html attributes to field wrapper [#346](https://github.com/gr4vy/secure-fields/pull/346) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### Authors: 1

- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v1.10.0 (Wed Jun 14 2023)

#### 🚀 Enhancement

- feat: secure input default styles [#353](https://github.com/gr4vy/secure-fields/pull/353) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### Authors: 1

- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v1.8.0 (Mon Jun 12 2023)

#### 🚀 Enhancement

- feat: add form status event [#343](https://github.com/gr4vy/secure-fields/pull/343) ([@theturboboy](https://github.com/theturboboy))

#### 🏠 Internal

- chore(dev-deps): update dependency typedoc to ^0.24.8 [#342](https://github.com/gr4vy/secure-fields/pull/342) ([@renovate[bot]](https://github.com/renovate[bot]) [@luca-gr4vy](https://github.com/luca-gr4vy))
- chore(dev-deps): update dependency dotenv to ^16.1.4 [#341](https://github.com/gr4vy/secure-fields/pull/341) ([@renovate[bot]](https://github.com/renovate[bot]))
- build(deps): bump css-loader from 6.7.4 to 6.8.1 [#319](https://github.com/gr4vy/secure-fields/pull/319) ([@dependabot[bot]](https://github.com/dependabot[bot]))
- build(deps-dev): bump style-loader from 3.3.2 to 3.3.3 [#315](https://github.com/gr4vy/secure-fields/pull/315) ([@dependabot[bot]](https://github.com/dependabot[bot]))
- build(deps): bump css-loader from 6.7.3 to 6.7.4 [#316](https://github.com/gr4vy/secure-fields/pull/316) ([@dependabot[bot]](https://github.com/dependabot[bot]))

#### Authors: 4

- [@dependabot[bot]](https://github.com/dependabot[bot])
- [@renovate[bot]](https://github.com/renovate[bot])
- Andrei Haidukevich ([@theturboboy](https://github.com/theturboboy))
- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v1.7.0 (Tue May 16 2023)

#### 🚀 Enhancement

- feat: add an input empty state [#301](https://github.com/gr4vy/secure-fields/pull/301) ([@theturboboy](https://github.com/theturboboy))

#### Authors: 1

- Andrei Haidukevich ([@theturboboy](https://github.com/theturboboy))

---

# v1.6.1 (Wed May 10 2023)

#### 🐛 Bug Fix

- fix: background color invalid style [#297](https://github.com/gr4vy/secure-fields/pull/297) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### Authors: 1

- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v1.6.0 (Tue May 09 2023)

#### 🏠 Internal

- build(deps-dev): bump csstype from 3.1.1 to 3.1.2 [#264](https://github.com/gr4vy/secure-fields/pull/264) ([@dependabot[bot]](https://github.com/dependabot[bot]))

#### Authors: 1

- [@dependabot[bot]](https://github.com/dependabot[bot])

---

# v1.4.0 (Wed Apr 12 2023)

#### 🚀 Enhancement

- fix: card vault success callback not fired in mobile view [#263](https://github.com/gr4vy/secure-fields/pull/263) ([@theturboboy](https://github.com/theturboboy))

#### 🐛 Bug Fix

- fix: return useful information on card vault failure [#248](https://github.com/gr4vy/secure-fields/pull/248) ([@theturboboy](https://github.com/theturboboy))

#### 🏠 Internal

- build(deps-dev): bump style-loader from 3.3.1 to 3.3.2 [#234](https://github.com/gr4vy/secure-fields/pull/234) ([@dependabot[bot]](https://github.com/dependabot[bot]))
- build(deps-dev): bump typedoc from 0.23.26 to 0.23.28 [#235](https://github.com/gr4vy/secure-fields/pull/235) ([@dependabot[bot]](https://github.com/dependabot[bot]))
- build(deps-dev): bump typedoc from 0.23.25 to 0.23.26 [#208](https://github.com/gr4vy/secure-fields/pull/208) ([@dependabot[bot]](https://github.com/dependabot[bot]))

#### Authors: 2

- [@dependabot[bot]](https://github.com/dependabot[bot])
- Andrei Haidukevich ([@theturboboy](https://github.com/theturboboy))

---

# v1.3.0 (Thu Feb 16 2023)

#### 🐛 Bug Fix

- build(deps): bump css-loader from 6.7.2 to 6.7.3 [#191](https://github.com/gr4vy/secure-fields/pull/191) ([@dependabot[bot]](https://github.com/dependabot[bot]))
- build(deps-dev): bump typedoc from 0.23.24 to 0.23.25 [#195](https://github.com/gr4vy/secure-fields/pull/195) ([@dependabot[bot]](https://github.com/dependabot[bot]))

#### 🏠 Internal

- build(deps-dev): bump typescript-transform-paths from 3.4.4 to 3.4.6 [#181](https://github.com/gr4vy/secure-fields/pull/181) ([@dependabot[bot]](https://github.com/dependabot[bot]))

#### Authors: 1

- [@dependabot[bot]](https://github.com/dependabot[bot])

---

# v1.2.0 (Fri Feb 03 2023)

#### 🐛 Bug Fix

- fix: esm export [#172](https://github.com/gr4vy/secure-fields/pull/172) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### Authors: 1

- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v1.1.0 (Fri Jan 20 2023)

#### 🐛 Bug Fix

- build(deps-dev): Bump typedoc from 0.23.21 to 0.23.24 [#154](https://github.com/gr4vy/secure-fields/pull/154) ([@dependabot[bot]](https://github.com/dependabot[bot]) [@luca-gr4vy](https://github.com/luca-gr4vy))
- build(deps): bump css-loader from 6.7.1 to 6.7.2 [#119](https://github.com/gr4vy/secure-fields/pull/119) ([@dependabot[bot]](https://github.com/dependabot[bot]) [@brunodesde1987](https://github.com/brunodesde1987))
- build(deps-dev): bump typedoc from 0.23.18 to 0.23.19 [#103](https://github.com/gr4vy/secure-fields/pull/103) ([@dependabot[bot]](https://github.com/dependabot[bot]))
- build(deps-dev): bump typedoc from 0.23.16 to 0.23.18 [#99](https://github.com/gr4vy/secure-fields/pull/99) ([@dependabot[bot]](https://github.com/dependabot[bot]))

#### 🏠 Internal

- chore: absolute import [#145](https://github.com/gr4vy/secure-fields/pull/145) ([@theturboboy](https://github.com/theturboboy))
- build(deps-dev): bump typedoc from 0.23.19 to 0.23.21 [#118](https://github.com/gr4vy/secure-fields/pull/118) ([@dependabot[bot]](https://github.com/dependabot[bot]))

#### Authors: 4

- [@dependabot[bot]](https://github.com/dependabot[bot])
- Andrei Haidukevich ([@theturboboy](https://github.com/theturboboy))
- Bruno Carvalho ([@brunodesde1987](https://github.com/brunodesde1987))
- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v1.0.0 (Tue Oct 18 2022)

#### 🚀 Enhancement

- build(deps-dev): bump @gr4vy/node from 0.27.0 to 0.31.0 [#70](https://github.com/gr4vy/secure-fields/pull/70) ([@dependabot[bot]](https://github.com/dependabot[bot]))

#### 🐛 Bug Fix

- task: playwright tests [#73](https://github.com/gr4vy/secure-fields/pull/73) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- chore: update deps [#80](https://github.com/gr4vy/secure-fields/pull/80) ([@douglaseggleton](https://github.com/douglaseggleton) [@luca-gr4vy](https://github.com/luca-gr4vy))

#### 🏠 Internal

- fix: jsdom local testing issue [#92](https://github.com/gr4vy/secure-fields/pull/92) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- feat: playwright test [#54](https://github.com/gr4vy/secure-fields/pull/54) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### 📝 Documentation

- Update README.md [#58](https://github.com/gr4vy/secure-fields/pull/58) ([@cbetta](https://github.com/cbetta))

#### Authors: 4

- [@dependabot[bot]](https://github.com/dependabot[bot])
- Cristiano Betta ([@cbetta](https://github.com/cbetta))
- Douglas Eggleton ([@douglaseggleton](https://github.com/douglaseggleton))
- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v0.8.0 (Thu Oct 06 2022)

#### 🚀 Enhancement

- feat: google fonts support [#57](https://github.com/gr4vy/secure-fields/pull/57) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### Authors: 1

- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v0.7.0 (Tue Oct 04 2022)

#### 🚀 Enhancement

- feat(a11y): adding aria attributes TA-2529 [#56](https://github.com/gr4vy/secure-fields/pull/56) ([@douglaseggleton](https://github.com/douglaseggleton))

#### Authors: 1

- Douglas Eggleton ([@douglaseggleton](https://github.com/douglaseggleton))

---

# v0.6.1 (Wed Sep 21 2022)

#### 🐛 Bug Fix

- task: update submit method [#52](https://github.com/gr4vy/secure-fields/pull/52) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### Authors: 1

- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v0.6.0 (Wed Sep 21 2022)

#### 🚀 Enhancement

- feat: hooks and components [#40](https://github.com/gr4vy/secure-fields/pull/40) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### 🏠 Internal

- task: add react dev [#51](https://github.com/gr4vy/secure-fields/pull/51) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### Authors: 1

- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v0.5.4 (Fri Sep 16 2022)

#### 🐛 Bug Fix

- fix: Ensure a field is only marked as invalid if it has been blurred [#46](https://github.com/gr4vy/secure-fields/pull/46) ([@cbetta](https://github.com/cbetta) [@luca-gr4vy](https://github.com/luca-gr4vy))

#### 🏠 Internal

- task: sdk updates [#49](https://github.com/gr4vy/secure-fields/pull/49) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- task: rename expiration to expiry [#48](https://github.com/gr4vy/secure-fields/pull/48) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### Authors: 2

- Cristiano Betta ([@cbetta](https://github.com/cbetta))
- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v0.5.3 (Thu Sep 15 2022)

#### 🏠 Internal

- feat: update documentation [#37](https://github.com/gr4vy/secure-fields/pull/37) ([@luca-gr4vy](https://github.com/luca-gr4vy) [@cbetta](https://github.com/cbetta))

#### Authors: 2

- Cristiano Betta ([@cbetta](https://github.com/cbetta))
- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v0.5.2 (Wed Sep 14 2022)

#### 🐛 Bug Fix

- fix: autofill style [#43](https://github.com/gr4vy/secure-fields/pull/43) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### Authors: 1

- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v0.5.1 (Wed Sep 14 2022)

#### 🐛 Bug Fix

- refactor: add messaging utilities and tests [#39](https://github.com/gr4vy/secure-fields/pull/39) ([@douglaseggleton](https://github.com/douglaseggleton))

#### Authors: 1

- Douglas Eggleton ([@douglaseggleton](https://github.com/douglaseggleton))

---

# v0.5.0 (Wed Sep 07 2022)

#### 🚀 Enhancement

- feat: values formatting [#32](https://github.com/gr4vy/secure-fields/pull/32) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### Authors: 1

- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v0.4.0 (Mon Sep 05 2022)

#### 🚀 Enhancement

- feat: submit [#33](https://github.com/gr4vy/secure-fields/pull/33) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- feat: event listening methods [#30](https://github.com/gr4vy/secure-fields/pull/30) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- feat: debug mode [#27](https://github.com/gr4vy/secure-fields/pull/27) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### 🐛 Bug Fix

- feat: refactoring inputs [#29](https://github.com/gr4vy/secure-fields/pull/29) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- feat: styling updates [#25](https://github.com/gr4vy/secure-fields/pull/25) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- feat: add field public methods [#26](https://github.com/gr4vy/secure-fields/pull/26) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### 🏠 Internal

- Define empty process.env.SECURE_FIELDS_FRAME_URL for prod [#31](https://github.com/gr4vy/secure-fields/pull/31) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- Fix process undefined error and update sample form [#28](https://github.com/gr4vy/secure-fields/pull/28) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### Authors: 1

- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v0.3.0 (Wed Aug 17 2022)

#### 🚀 Enhancement

- feat: styling [#17](https://github.com/gr4vy/secure-fields/pull/17) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### Authors: 1

- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

# v0.1.0 (Fri Aug 12 2022)

#### 🚀 Enhancement

- ci: add npm publish config [#22](https://github.com/gr4vy/secure-fields/pull/22) ([@douglaseggleton](https://github.com/douglaseggleton))

#### 🐛 Bug Fix

- docs: update readme [#23](https://github.com/gr4vy/secure-fields/pull/23) ([@douglaseggleton](https://github.com/douglaseggleton))
- ci: add npm release configuration [#16](https://github.com/gr4vy/secure-fields/pull/16) ([@douglaseggleton](https://github.com/douglaseggleton))
- fix: removing share constant [#15](https://github.com/gr4vy/secure-fields/pull/15) ([@douglaseggleton](https://github.com/douglaseggleton))
- feat: add field [#13](https://github.com/gr4vy/secure-fields/pull/13) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- Ta 2262 secure fields frame [#8](https://github.com/gr4vy/secure-fields/pull/8) ([@douglaseggleton](https://github.com/douglaseggleton))
- feat: utility getters [#4](https://github.com/gr4vy/secure-fields/pull/4) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- feat: main events class getter [#3](https://github.com/gr4vy/secure-fields/pull/3) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- task: add base test / lint / scan CI jobs [#2](https://github.com/gr4vy/secure-fields/pull/2) ([@luca-gr4vy](https://github.com/luca-gr4vy))
- feat: project setup [#1](https://github.com/gr4vy/secure-fields/pull/1) ([@luca-gr4vy](https://github.com/luca-gr4vy))

#### Authors: 2

- Douglas Eggleton ([@douglaseggleton](https://github.com/douglaseggleton))
- Luca Allievi ([@luca-gr4vy](https://github.com/luca-gr4vy))

---

