import { ClickToPayInstance, ClickToPayOptions } from "./types";
import { SecureFields } from './index';
declare class ClickToPay {
    private secureFields;
    private _buyerExists;
    consent: boolean;
    controller: HTMLIFrameElement;
    encrypt: HTMLIFrameElement;
    origin?: string;
    url?: string;
    cardForm: HTMLElement;
    signIn: HTMLElement;
    clickToPay: ClickToPayInstance;
    constructor(secureFields: SecureFields);
    private _addIframe;
    private _attachListeners;
    private _fetchDPA;
    private _initConsentCheckbox;
    private _initLearnMore;
    init(element: string | HTMLElement, options?: ClickToPayOptions): Promise<ClickToPayInstance>;
}
export { ClickToPay };
