export declare const LOCAL_STORAGE_DEBUG_FLAG = "@gr4vy-secure-fields-debug";
export declare enum Events {
    CARD_VAULT_SUCCESS = "card-vault-success",
    CARD_VAULT_FAILURE = "card-vault-failure",
    FORM_CHANGE = "form-change",
    METHOD_CHANGE = "method-change",
    READY = "ready",
    RESIZE = "resize",
    CLICK_TO_PAY_INITIALIZED = "click-to-pay-initialized",
    CLICK_TO_PAY_READY = "click-to-pay-ready",
    CLICK_TO_PAY_SIGN_OUT = "click-to-pay-sign-out",
    CLICK_TO_PAY_ERROR = "click-to-pay-error",
    CLICK_TO_PAY_CANCEL = "click-to-pay-cancel",
    CLICK_TO_PAY_CHECKOUT_WITH_NEW_CARD = "click-to-pay-checkout-with-new-card",
    CLICK_TO_PAY_UNABLE_TO_LOAD_DPA = "click-to-pay-unable-to-load-dpa",
    CLICK_TO_PAY_VISIBILITY_CHANGE = "click-to-pay:visibility-change",
    CLICK_TO_PAY_CARD_FORM_VISIBILITY_CHANGE = "click-to-pay-card-form:visibility-change",
    CLICK_TO_PAY_SIGN_IN_VISIBILITY_CHANGE = "click-to-pay-sign-in:visibility-change",
    CLICK_TO_PAY_PROCESSING = "click-to-pay-processing"
}
export declare enum ClickToPayInternalEvents {
    REQUEST_PORT = "request-port",
    TRANSFER_PORT = "transfer-port"
}
export declare enum FieldAttributes {
    FOCUSED = "data-secure-fields-focused",
    INVALID = "data-secure-fields-invalid",
    AUTOFILLED = "data-secure-fields-autofilled"
}
export declare enum LogMessages {
    PAYMENT_METHOD_ID_IN_USE = "You're passing a paymentMethodId to use a stored payment method, which means Secure Fields methods `addCardNumber`, `addExpiryDate` and `addClickToPay` are automatically disabled and won't render the related fields"
}
export declare const MESSAGE_CHANNEL = "secure-fields";
