declare class EventBus {
    subscribers: [string, (...args: any[]) => void][];
    constructor();
    subscribe<T extends string>(event: T, callback: (...args: any[]) => void): void;
    unsubscribe<T extends string>(event: T, callback: (...args: any[]) => void): void;
    unsubscribeAll(): void;
    publish<T extends string>(event: T, args?: unknown): void;
}
export declare const global: EventBus;
export {};
