type Options = {
    debug?: boolean;
    level?: 'log' | 'warn' | 'debug' | 'info' | 'error';
};
type LogFunction = (key: string, object?: Record<string, unknown>, options?: Options) => void;
export declare const log: LogFunction;
export declare const warn: LogFunction;
export declare const debug: LogFunction;
export declare const info: LogFunction;
export declare const error: LogFunction;
export {};
