/**
 * Copy any attributes / classes from a source element
 * to a target element.
 *
 * @param source The HTML element to copy attributes from
 * @param target The HTML element to copy attributes to
 * @returns The target HTML element with the attributes from the source copied to it
 */
export declare const copyElementAttributes: <T extends HTMLElement>(source: HTMLElement, target: T) => T;
